Bug 5636 - soft process limit is too restrictive for default KDE session
: soft process limit is too restrictive for default KDE session
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pam)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
: 7079
  Show dependency tree
 
Reported: 2004-12-06 15:13 by
Modified: 2006-03-07 10:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-12-06 15:13:47
Для работы KDE недостаточно лимита по кол-ву процессов, 384 достаточно. 
Но я на 100% не уверен, т.к. при воспроизведении проблемы с невозможностью 
fork() нет большого кол-ва запущенных процессов :-(
------- Comment #1 From 2004-12-09 18:49:40 -------
Один раз наткнулся на кучу cdda_slave, но их было видно, как zombie 
------- Comment #2 From 2005-03-27 18:54:27 -------
У меня такое бывало, как правело, когда умирал звук (artsd, или просто не было
поддержки звука), и плодились процессы типа play и artsplay, запущенные
всякими sim, licq, etc.

--- ABATAPA в sisyphus@ сегодня ("DCOP и klauncher")
------- Comment #3 From 2005-03-28 13:23:23 -------
(In reply to comment #2) 
> плодились процессы типа play и artsplay 
Да, это тоже проблема, но отдельная от этой темы 
 
 
------- Comment #4 From 2005-07-22 23:37:28 -------
(In reply to comment #1) 
> Один раз наткнулся на кучу cdda_slave, но их было видно, как zombie  
Правда это исправил в kde. 
------- Comment #5 From 2005-07-22 23:40:02 -------
(In reply to comment #3) 
> > плодились процессы типа play и artsplay  
> Да, это тоже проблема, но отдельная от этой темы  
А это пытаюсь в play_wrapper.sh и sound_wrapper.sh 
 
------- Comment #6 From 2005-07-25 14:40:19 -------
С тебя модуль к альтератору для настройки /etc/security/limits.conf ;-) 
http://lists.altlinux.ru/pipermail/sisyphus/2005-July/065004.html 
------- Comment #7 From 2005-07-25 14:42:12 -------
(In reply to comment #5) 
> > > плодились процессы типа play и artsplay   
> > Да, это тоже проблема, но отдельная от этой темы   
> А это пытаюсь в play_wrapper.sh и sound_wrapper.sh  
Есть вероятность, что не безрезультатно. 
http://lists.altlinux.ru/pipermail/sisyphus/2005-July/065034.html 
 
 
------- Comment #8 From 2005-08-04 11:54:39 -------
2ldv: просьба увеличить количество процессов, это очень актуально.
------- Comment #9 From 2005-08-08 16:38:52 -------
Короче, какой лимит устроит kdelibs?
------- Comment #10 From 2005-08-08 16:47:36 -------
(In reply to comment #9)  
> Короче, какой лимит устроит kdelibs?  
А таблетки от жадности принимать? ;-)  
Если да, то  
*               soft    nproc   256 
*               hard    nproc   384 
если нет, то 
*               soft    nproc   384 
*               hard    nproc   512 
 
------- Comment #11 From 2005-08-08 16:50:33 -------
Значит, 256/512 годится. :)
------- Comment #12 From 2005-08-17 19:52:36 -------
Fixed in 0.80-alt0.3, will be available in first public release.
------- Comment #13 From 2005-09-01 14:41:21 -------
(In reply to comment #12) 
> Fixed in 0.80-alt0.3, will be available in first public release. 
В branch-3.0 до сих пор не видно 
 
 
------- Comment #14 From 2005-09-01 14:47:09 -------
Понятно, тогда надо менять Product у этой баги и делать backport.
------- Comment #15 From 2005-09-01 15:02:12 -------
Вообще хорошо бы к 3.0 или адаптировать backports policy (висит на
backports.altlinux.ru) к этому бранчу, или написать иной документ.

Потому что неясно, Дима ли должен собирать и заливать пакет по всем веткам, где
он в принципе может оказаться, или заинтересованные в исправлении ошибки пакета
в ветке должны озаботиться.  Опять же что с заливанием одного пакета разными
людьми и прочим уже решённым для Sisyphus.

Разумеется, это офтопик в данной баге, просто давно думалось, а тут вылезло...
------- Comment #16 From 2005-09-01 19:00:23 -------
(In reply to comment #14) 
> Понятно, тогда надо менять Product 
Да он уже несколько раз мог быть сменен :-) 
 
> у этой баги и делать backport. 
Может проще имеющийся исправить? 
 
------- Comment #17 From 2005-09-08 15:27:49 -------
актуально и для sisyphus и для branch-3.0 

Дим, сделаешь обновление для branch-3.0 ?
------- Comment #18 From 2005-10-10 17:10:02 -------
До сих пор исправления в Branch-3.0 не появилось 
 
------- Comment #19 From 2005-10-10 17:13:45 -------
Если никто не сделает, то и не появится.
Эта бага была по пакету в Сизифе, и она исправлена.
Пожалуйста, не открывайте эту багу снова, используйте моё и ваше время более
рационально.
------- Comment #20 From 2005-10-10 17:46:16 -------
  (In reply to comment #19)  
> Если никто не сделает, то и не появится.  
> Эта бага была по пакету в Сизифе, и она исправлена.  
За отмазку не катит. Баг был повешен давно. Зависимость на #7079 была 
поставлена своевременно. 
 
> Пожалуйста, не открывайте эту багу снова, используйте моё и ваше время более  
> рационально.  
  
  
------- Comment #21 From 2005-10-10 18:50:15 -------
Дим, так что, сделаешь обновление для branch-3.0 или мне разбираться с этим ?

Понятно что в данный момент времени это изменение в Sisyphus для нас совсем не
интересно.. а тащить pam из Sisyphus в branch я сам не стану.